Skip to navigation

Add chunk to chunked upload

View as Markdown

Adds a chunk or part to an existing chunked upload. After you use the Create method to initiate a new chunked upload and upload the first part, use this method to upload subsequent parts.

For simplicity, DocuSign recommends that you upload the parts in their sequential order ( 1,2, 3, 4, etc.). The Create method adds the first part and assigns it the sequence value 0. As a result, DocuSign recommends that you start with a sequence value of 1 when you use this method, and continue uploading parts contiguously until you have uploaded the entirety of the original content to DocuSign.

Example:

PUT /v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}/1
PUT /v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}/2
PUT /v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}/3

Note: You cannot replace a part that DocuSign has already received, or add parts to a chunked upload that is already successfully committed.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

chunkedUploadIdstringRequired
The ID of the chunked upload.
chunkedUploadPartSeqstringRequired

The sequence or order of the part in the chunked upload. By default, the sequence of the first part that is uploaded as part of the Create request is 0.

Note: You can add parts out of order. However, the chunked upload must consist of a contiguous series of one or more parts before you can successfully commit it.

Request

This endpoint expects an object: chunkedUploadRequest

chunkedUploadIdstringOptional

The ID of the chunked upload.

Note: This property is ignored in requests, and overridden with an auto-generated value in responses.

datastringOptional

A base64-encoded representation of the content that is used to upload the file.

Maximum size: 50 MB. However, data is also subject to REST API limits regarding request sizes, and Internet Information Systems (IIS) might place further constraints on file size.

Response

Successful response.
checksumstringOptional

A 64-byte, Secure Hash Algorithm 256 (SHA256) checksum that the caller computes across the entirety of the original content that has been uploaded to the chunked upload. Docusign compares this value to its own computation. If the two values are not equal, the original content and received content are not the same and the commit action is refused.

chunkedUploadIdstringOptional
The ID of the chunked upload.
chunkedUploadPartslist of objectsOptional
A list of the parts that compose the chunked upload, including their byte sizes. The list must be contiguous before you can commit the chunked upload.
chunkedUploadUristringOptional
The URI that you use to reference the chunked upload in other API requests, such as envelope document and envelope attachment requests.
committedstringOptional

When true, the chunked upload has been committed. A committed chunked upload can no longer receive any additional parts and is ready for use within other API requests.

expirationDateTimestringOptional

The UTC time at which the chunked upload expires and is no longer addressable.

Note: You must fully upload and use a chunked upload within 20 minutes of initializing it.

maxChunkedUploadPartsstringOptional
The maximum number of parts allowed for a chunked upload. This value is configurable per Docusign environment, account, or integrator. The default value is 128. The maximum possible value is 256.
maxTotalSizestringOptional
The maximum total size allowed for a chunked upload. This value is configured per Docusign environment, account, or integrator. The default value is 50 MB.
totalSizestringOptional

The total size of the parts of the chunked upload.

Note: When a chunked upload is used as an envelope document, it is subject to the PDF size limit (25 MB) and page count limit that apply to all envelope documents.

Errors

400
Bad Request Error